# A collection of Summary / Overview bars

[![pub package](https://img.shields.io/badge/pub-v1.0.2-yellowgreen.svg)](https://pub.dev/packages/slick_summary_bars)

[![pub package](https://img.shields.io/twitter/follow/espadrine.svg?label=Follow)](https://twitter.com/imujtaba8488)

## Description

This package contains a collection of summary / overview bars. Some are only
designed to display textual content, some to display graphical content, and
some are designed to display both, textual as well as graphical content. Though,
these are typically to be used as summary / overview bars, however, there use
in any case is not limited to as summary / overview bars.

## Using

Simply import package: slick_summary_bars/slick_summary_bars.dart and start
using the one you like from the following growing list:-

* ThreeColumnTextBar.

```dart
import 'package:flutter/material.dart';
import 'slick_summary_bars/three_column_text_bar.dart';

class TestPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Widget Test'),
      ),
      body: ThreeColumnTextBar.dark(
        context: context,
        c1LabelText: 'Income',
        c1DataText: '\$ 5,000.0',
        c2LabelText: 'Expenses',
        c2DataText: '\$ 2,000.0',
        c3LabelText: 'Balance',
        c3DataText: '\$ 3,000',
      ),
    );
  }
}
```

## Screenshots

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/ios_l3.png)

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/ios_l1.png)

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/ios_p1.png)

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/android_l1.png)

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/android_p1.png)

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/android_p2.png)

![ThreeColumnTextBar](https://github.com/imujtaba8488/image_lib/blob/master/slick_summary_bars/ThreeColumnTextBar/android_l2.png)

## Feedback

For any feedback please email me or follow me on [twitter](https://twitter.com/imujtaba8488).
